commit:     47d1f0664608fb6a5532c44bb73a32bf25982359
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sat Jan 11 18:45:01 2025 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sat Jan 11 22:19:31 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=47d1f066

www-apps/freshrss: add 1.25.0

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 www-apps/freshrss/Manifest                         |  1 +
 .../files/disable-network-tests-1.25.0.patch       | 31 ++++++++++++++
 www-apps/freshrss/freshrss-1.25.0.ebuild           | 48 ++++++++++++++++++++++
 3 files changed, 80 insertions(+)

diff --git a/www-apps/freshrss/Manifest b/www-apps/freshrss/Manifest
index 7fc421302..03ca35165 100644
--- a/www-apps/freshrss/Manifest
+++ b/www-apps/freshrss/Manifest
@@ -1,2 +1,3 @@
 DIST freshrss-1.24.1.gh.tar.gz 4383585 BLAKE2B 
9ad14320930fa4baae3edd3ec31add9ac0f66dda5cbc1997947595907df550d9363e3d87f0fcacdf06781e4be14070b78b66e04cbe8610cecca0d0185162724c
 SHA512 
42edbfc22f7231fafea42d4c32fb285a4ec40132645c0ec1613abf5cbc8b4017e0ad1cb5eeaaefdda9077760f73999111ba9e15c1bff41dd7af411bcecca32c9
 DIST freshrss-1.24.3.gh.tar.gz 4403538 BLAKE2B 
f944f36256c59790938588491385b91de6a8af602bdb51731c7c76c816a4536855b7ed27a5595b4f825d2b7420a58feb17a0b7b8343b198bf8ae1a5ecb8705ba
 SHA512 
757f37fd51d63b56735c54d7ee2a5bd76c8e55b8e4d6b16767b9f99581142dd11987eb4256b114ebb012bfba93acf3d9189ca4fa9c0fbf66bdd4048d12ea8bf6
+DIST freshrss-1.25.0.gh.tar.gz 4488412 BLAKE2B 
b995404a2979aa2e92a03ce316f6405c3bc476daf1a0c2f9ccb6a7c2e274ff934721dca7771adee7ff7aefed0349febcc80581cdb7dbc56334c8ff72626f443f
 SHA512 
e3882227ce422c8d1c38bcf557e29219153fc2bf2829df3ddd6c716c6ee75b6d44849f65b9a15fbdaf3542a78f11f26442893a8b561825b7b1ac8ee50ab93266

diff --git a/www-apps/freshrss/files/disable-network-tests-1.25.0.patch 
b/www-apps/freshrss/files/disable-network-tests-1.25.0.patch
new file mode 100644
index 000000000..8b5d0d474
--- /dev/null
+++ b/www-apps/freshrss/files/disable-network-tests-1.25.0.patch
@@ -0,0 +1,31 @@
+diff --git a/Makefile b/Makefile
+index d8b33824..83604d97 100644
+--- a/Makefile
++++ b/Makefile
+@@ -70,10 +70,6 @@ lint: bin/phpcs ## Run the linter on the PHP files
+ lint-fix: bin/phpcbf ## Fix the errors detected by the linter
+       $(PHP) bin/phpcbf . -p -s
+ 
+-bin/composer:
+-      mkdir -p bin/
+-      wget 
'https://raw.githubusercontent.com/composer/getcomposer.org/1a26c0dcb361332cb504e4861ed0f758281575aa/web/installer'
 -O - -q | php -- --quiet --install-dir='./bin/' --filename='composer'
+-
+ # building any of these builds them all
+ vendor/bin/phpunit vendor/bin/phpcs vendor/bin/phpcbf vendor/bin/phpstan &: 
bin/composer
+       bin/composer install --prefer-dist --no-progress
+@@ -83,15 +79,6 @@ vendor/bin/phpunit vendor/bin/phpcs vendor/bin/phpcbf 
vendor/bin/phpstan &: bin/
+ bin/phpunit bin/phpcs bin/phpcbf bin/phpstan : % : vendor/%
+       ln -sf $< $@
+ 
+-bin/typos:
+-      mkdir -p bin/
+-      cd bin ; \
+-      wget -q 
'https://github.com/crate-ci/typos/releases/download/v1.23.1/typos-v1.23.1-x86_64-unknown-linux-musl.tar.gz'
 && \
+-      tar -xvf *.tar.gz './typos' && \
+-      chmod +x typos && \
+-      rm *.tar.gz ; \
+-      cd ..
+-
+ node_modules/.bin/eslint:
+       npm install
+ 

diff --git a/www-apps/freshrss/freshrss-1.25.0.ebuild 
b/www-apps/freshrss/freshrss-1.25.0.ebuild
new file mode 100644
index 000000000..d3ba00ef5
--- /dev/null
+++ b/www-apps/freshrss/freshrss-1.25.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit webapp
+
+DESCRIPTION="A free, self-hostable news aggregator"
+HOMEPAGE="
+       https://freshrss.org/
+       https://github.com/FreshRSS/FreshRSS
+"
+SRC_URI="https://github.com/FreshRSS/FreshRSS/archive/${PV}.tar.gz -> 
${P}.gh.tar.gz"
+S="${WORKDIR}/FreshRSS-${PV}"
+
+LICENSE="AGPL-3"
+KEYWORDS="~amd64"
+IUSE="mysql +postgres sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+RDEPEND="
+       
dev-lang/php[ctype,curl,fileinfo,fpm,jit,mysql?,pdo,postgres?,sqlite?,unicode,xml,zip,zlib]
+       virtual/httpd-php
+"
+DEPEND="${RDEPEND}"
+
+need_httpd_fastcgi
+
+PATCHES=(
+       "${FILESDIR}"/disable-network-tests-1.25.0.patch
+)
+
+src_compile() {
+       :
+}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       webapp_serverowned "${MY_HTDOCSDIR}"/data
+       webapp_serverowned 
"${MY_HTDOCSDIR}"/data/{index.html,cache,favicons,fever,users,users/_,tokens}
+       webapp_serverowned 
"${MY_HTDOCSDIR}"/data/{cache,favicons,fever,users,users/_,tokens}/index.html
+
+       webapp_src_install
+}

Reply via email to